Ext.data.JsonP.ep_dict({"tagname":"class","name":"ep.dict","autodetected":{},"files":[{"filename":"dict.js","href":"dict.html#ep-dict"}],"members":[{"name":"constructor","tagname":"method","owner":"ep.dict","id":"method-constructor","meta":{}},{"name":"parse","tagname":"method","owner":"ep.dict","id":"method-parse","meta":{}},{"name":"parseData","tagname":"method","owner":"ep.dict","id":"method-parseData","meta":{}},{"name":"translate","tagname":"method","owner":"ep.dict","id":"method-translate","meta":{}},{"name":"translateData","tagname":"method","owner":"ep.dict","id":"method-translateData","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-ep.dict","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/dict.html#ep-dict' target='_blank'>dict.js</a></div></pre><div class='doc-contents'>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-constructor' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ep.dict'>ep.dict</span><br/><a href='source/dict.html#ep-dict-method-constructor' target='_blank' class='view-source'>view source</a></div><strong class='new-keyword'>new</strong><a href='#!/api/ep.dict-method-constructor' class='name expandable'>ep.dict</a>( <span class='pre'>name, [data], [options]</span> ) : <a href=\"#!/api/ep.dict\" rel=\"ep.dict\" class=\"docClass\">ep.dict</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Get a dictionary object for translation. ...</div><div class='long'><p>Get a dictionary object for translation.</p>\n\n<p>Get a dictionary object for translation.</p>\n\n<h3>Examples</h3>\n\n<p>Use an existing dictionary.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>// The example dictionary is already defined.\n\n// use default region/language\n<a href=\"#!/api/ep.dict\" rel=\"ep.dict\" class=\"docClass\">ep.dict</a>( 'example' );\n\n// use german\n<a href=\"#!/api/ep.dict\" rel=\"ep.dict\" class=\"docClass\">ep.dict</a>( 'example', {region:'de'} );\n</code></pre>\n\n<p>Create a foo dictionary.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>// The example dictionary is already defined.\n\n// use default region/language\n<a href=\"#!/api/ep.dict\" rel=\"ep.dict\" class=\"docClass\">ep.dict</a>( 'foo', [ 'example', {\"strawberry\":\"Strawberry\"} ] );\n\n// use german\n<a href=\"#!/api/ep.dict\" rel=\"ep.dict\" class=\"docClass\">ep.dict</a>( 'foo', [ 'example', {\"strawberry\":\"Erdbeere\"} ], {region:'de'} );\n</code></pre>\n\n<p>Translate keywors and parse text with a dict.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>var obj = <a href=\"#!/api/ep.dict\" rel=\"ep.dict\" class=\"docClass\">ep.dict</a>( '<a href=\"#!/api/ep.dict\" rel=\"ep.dict\" class=\"docClass\">ep.dict</a>', {region:'de'} );\n\nobj.translate('Close')\n//\n</code></pre>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>ep</code></li>\n<li><code>jQuery.dict</code></li>\n<li><code>jQuery.tmpl</code></li>\n</ul>\n\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : String<div class='sub-desc'><p>The name of the dictionary.</p>\n</div></li><li><span class='pre'>data</span> : Array (optional)<div class='sub-desc'><p>An array containing names of other dictionaries, dictionary objects or a map of keyword/translation pairs to add.</p>\n</div></li><li><span class='pre'>options</span> : Object (optional)<div class='sub-desc'><p>A map of additional options pass to the method.</p>\n<ul><li><span class='pre'>region</span> : String<div class='sub-desc'><p>A region/language to use for this dict.</p>\n</div></li><li><span class='pre'>parser</span> : Array<div class='sub-desc'><p>An array of an regular expression to find translate keys and a match index. The match index setup which match will translate.</p>\n</div></li></ul></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/ep.dict\" rel=\"ep.dict\" class=\"docClass\">ep.dict</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-parse' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ep.dict'>ep.dict</span><br/><a href='source/dict.html#ep-dict-method-parse' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ep.dict-method-parse' class='name expandable'>parse</a>( <span class='pre'>text</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Parse a text with keyword markers and translate them with the dictionary. ...</div><div class='long'><p>Parse a text with keyword markers and translate them with the dictionary.</p>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>ep</code></li>\n<li><code>jQuery.dict</code></li>\n<li><code>jQuery.tmpl</code></li>\n</ul>\n\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>text</span> : String<div class='sub-desc'><p>A text with keyword markers to translate.</p>\n</div></li></ul></div></div></div><div id='method-parseData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ep.dict'>ep.dict</span><br/><a href='source/dict.html#ep-dict-method-parseData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ep.dict-method-parseData' class='name expandable'>parseData</a>( <span class='pre'>text, data</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Parse a text with keyword markers and translate them with the dictionary and fill the data markers in the parsed text. ...</div><div class='long'><p>Parse a text with keyword markers and translate them with the dictionary and fill the data markers in the parsed text.</p>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>ep</code></li>\n<li><code>jQuery.dict</code></li>\n<li><code>jQuery.tmpl</code></li>\n</ul>\n\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>text</span> : String<div class='sub-desc'><p>A text with keyword markers to translate.</p>\n</div></li><li><span class='pre'>data</span> : Object<div class='sub-desc'><p>A key/value set to fill data markers in the translated parsed text.</p>\n</div></li></ul></div></div></div><div id='method-translate' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ep.dict'>ep.dict</span><br/><a href='source/dict.html#ep-dict-method-translate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ep.dict-method-translate' class='name expandable'>translate</a>( <span class='pre'>keyword</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Get a translation for a keyword. ...</div><div class='long'><p>Get a translation for a keyword.</p>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>ep</code></li>\n<li><code>jQuery.dict</code></li>\n<li><code>jQuery.tmpl</code></li>\n</ul>\n\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>keyword</span> : String<div class='sub-desc'><p>A keyword to translate.</p>\n</div></li></ul></div></div></div><div id='method-translateData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ep.dict'>ep.dict</span><br/><a href='source/dict.html#ep-dict-method-translateData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ep.dict-method-translateData' class='name expandable'>translateData</a>( <span class='pre'>keyword, data</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Get a translation for a keyword and fill the data markers in translation. ...</div><div class='long'><p>Get a translation for a keyword and fill the data markers in translation.</p>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>ep</code></li>\n<li><code>jQuery.dict</code></li>\n<li><code>jQuery.tmpl</code></li>\n</ul>\n\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>keyword</span> : String<div class='sub-desc'><p>A keyword to translate.</p>\n</div></li><li><span class='pre'>data</span> : Object<div class='sub-desc'><p>A key/value set to fill data markers in the translated keyword</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});